List a document record by docId
Header Parameters
Authorizationstring
Query Parameters
includeMappingboolean
Default value
false
returnUniqueFieldValuesboolean
Default value
false
Path Parameters
docIdstring Required
The user provided external document ID
Minimum
1
Response
200
Object
Document object
Response Attributes
docIdstring | null Required
Could be null for documents not uploaded via the API
evisortIdinteger Required
Evisort document handler ID (integer). POST /documents and /search return this same id as a string.
docSetIdinteger Required
Evisort document ID (integer) that identifies the underlying document shared by all of its handlers (distinct evisortIds can point to the same docSetId).
statusstring Required
Enum values:
IN_PROGRESSREADYFAILEDcustomModelStatusobject
Show child attributes
dateModifiedstring Required
fieldsarray Required
Show child attributes
provisionsarray Required
Show child attributes
namestring Required
The filename of the document
pathstring Required
The path of the document
401
Object
Access token is missing or invalid
Response Attributes
errorstring
403
Object
Forbidden
Response Attributes
errorstring
404
Object
Requested resource not found
Response Attributes
errorstring
500
Object
Internal/Unexpected Error
Response Attributes
errorstring
Was this section helpful?
Response
Was this section helpful?